import request from '@/utils/request'

// 查询材料检测台账列表
export function listLedgerCheck1710321655000(query) {
  return request({
    url: '/forms/api/gen/LedgerCheck1710321655000/list',
    method: 'get',
    params: query
  })
}

// 查询材料检测台账详细
export function getLedgerCheck1710321655000(id) {
  return request({
    url: '/forms/api/gen/LedgerCheck1710321655000/' + id,
    method: 'get'
  })
}

// 新增材料检测台账
export function addLedgerCheck1710321655000(data) {
  return request({
    url: '/forms/api/gen/LedgerCheck1710321655000',
    method: 'post',
    data: data
  })
}

// 修改材料检测台账
export function updateLedgerCheck1710321655000(data) {
  return request({
    url: '/forms/api/gen/LedgerCheck1710321655000',
    method: 'put',
    data: data
  })
}

// 删除材料检测台账
export function delLedgerCheck1710321655000(id) {
  return request({
    url: '/forms/api/gen/LedgerCheck1710321655000/' + id,
    method: 'delete'
  })
}
